The Supplier Scorecard Variable object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: false
{
"id": "supplier-scorecard-variable_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"variable_label": "variable_label_example",
"is_custom": false,
"param_name": "param_name_example",
"path": "path_example",
"description": "description_example"
} /api/buying/supplier-scorecard-variable/{id} Retrieve a supplier scorecard variable
Retrieves the details of an existing supplier scorecard variable. Supply the unique supplier scorecard variable ID that was returned from a previous request.
Path parameters
The identifier of the supplier scorecard variable to retrieve.
Returns
Returns the supplier scorecard variable object if a valid identifier was provided.
curl https://api.overplane.dev/api/buying/supplier-scorecard-variable/supplier-scorecard-variable_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "supplier-scorecard-variable_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"variable_label": "variable_label_example",
"is_custom": false,
"param_name": "param_name_example",
"path": "path_example",
"description": "description_example"
} /api/buying/supplier-scorecard-variable List all supplier scorecard variables
Returns a list of supplier scorecard variables. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of supplier scorecard variable objects.
curl https://api.overplane.dev/api/buying/supplier-scorecard-variable \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "supplier-scorecard-variable_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"variable_label": "variable_label_example",
"is_custom": false,
"param_name": "param_name_example",
"path": "path_example",
"description": "description_example"
}
],
"has_more": false,
"total": 1
} /api/buying/supplier-scorecard-variable Create a supplier scorecard variable
Creates a new supplier scorecard variable object.
Body parameters
Default: false
Returns
Returns the newly created supplier scorecard variable object if the call succeeded.
curl https://api.overplane.dev/api/buying/supplier-scorecard-variable \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"variable_label":"variable_label_example","param_name":"param_name_example","path":"path_example"}' {
"id": "supplier-scorecard-variable_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"variable_label": "variable_label_example",
"is_custom": false,
"param_name": "param_name_example",
"path": "path_example",
"description": "description_example"
} /api/buying/supplier-scorecard-variable/{id} Update a supplier scorecard variable
Updates the specified supplier scorecard variable by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the supplier scorecard variable to update.
Body parameters
Default: false
Returns
Returns the updated supplier scorecard variable object.
curl https://api.overplane.dev/api/buying/supplier-scorecard-variable/supplier-scorecard-variable_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"variable_label":"variable_label_example","is_custom":false}' {
"id": "supplier-scorecard-variable_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"variable_label": "variable_label_example",
"is_custom": false,
"param_name": "param_name_example",
"path": "path_example",
"description": "description_example"
} /api/buying/supplier-scorecard-variable/{id} Delete a supplier scorecard variable
Permanently deletes a supplier scorecard variable. This cannot be undone.
Path parameters
The identifier of the supplier scorecard variable to delete.
Returns
Returns a confirmation that the supplier scorecard variable has been deleted.
curl https://api.overplane.dev/api/buying/supplier-scorecard-variable/supplier-scorecard-variable_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "supplier-scorecard-variable_abc123",
"deleted": true
}